List Reusable Sections
GET
https://api.slidespeak.co/api/v2/presentation/reusable-sections
Returns the reusable sections that can be inserted when generating a presentation. Pass one of the
returned id values as settings.reusable_section_id.
New to reusable sections? See Reusable Sections for what they are and how they insert saved slides into your presentation.
Headers
Section titled “Headers” X-API-Key: string
The API key to use for the request.
Code Examples
Section titled “Code Examples”curl -X GET "https://api.slidespeak.co/api/v2/presentation/reusable-sections" -H "X-API-Key: YOUR_API_KEY"const response = await fetch('https://api.slidespeak.co/api/v2/presentation/reusable-sections', { method: 'GET', headers: { 'X-API-Key': 'YOUR_API_KEY' }});
const data = await response.json();console.log(data.reusable_sections);import requests
url = "https://api.slidespeak.co/api/v2/presentation/reusable-sections"headers = {"X-API-Key": "YOUR_API_KEY"}
response = requests.get(url, headers=headers)print(response.json()["reusable_sections"])<?phprequire 'vendor/autoload.php';
use GuzzleHttp\Client;
$client = new Client();
$response = $client->get('https://api.slidespeak.co/api/v2/presentation/reusable-sections', [ 'headers' => [ 'X-API-Key' => 'YOUR_API_KEY' ]]);
$data = json_decode($response->getBody(), true);print_r($data['reusable_sections']);Response
Section titled “Response”{ "reusable_sections": [ { "id": "rs_overview", "name": "Company overview", "placement": "beginning", "slide_count": 3, "updated_at": "2026-06-23T10:00:00+00:00" }, { "id": "rs_security_appendix", "name": "Security & compliance appendix", "placement": "end", "slide_count": 4, "updated_at": "2026-06-20T08:30:00+00:00" } ]}